### Hierarchy

- VehicleMod

## Index

### Constructors

- constructor

### Properties

- _modType
- _owner

### Accessors

- Index
- ModCount
- ModType
- Variation
- Vehicle

### Methods

- remove

## Constructors

### constructor

- new VehicleMod(owner: Vehicle, modType: VehicleModType): VehicleMod

- - Defined in models/VehicleMod.ts:8

  #### Parameters

  - ##### owner: Vehicle

  - ##### modType: VehicleModType

  #### Returns VehicleMod

## Properties

### Private _modType

_modType: VehicleModType

- Defined in models/VehicleMod.ts:6

### Private _owner

_owner: Vehicle

- Defined in models/VehicleMod.ts:5

## Accessors

### Index

- get Index(): number
- set Index(value: number): void

- - Defined in models/VehicleMod.ts:21

  #### Returns number

- - Defined in models/VehicleMod.ts:25

  #### Parameters

  - ##### value: number

  #### Returns void

### ModCount

- get ModCount(): number

- - Defined in models/VehicleMod.ts:37

  #### Returns number

### ModType

- get ModType(): VehicleModType
- set ModType(modType: VehicleModType): void

- - Defined in models/VehicleMod.ts:13

  #### Returns VehicleModType

- - Defined in models/VehicleMod.ts:17

  #### Parameters

  - ##### modType: VehicleModType

  #### Returns void

### Variation

- get Variation(): boolean
- set Variation(value: boolean): void

- - Defined in models/VehicleMod.ts:29

  #### Returns boolean

- - Defined in models/VehicleMod.ts:33

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Vehicle

- get Vehicle(): Vehicle

- - Defined in models/VehicleMod.ts:41

  #### Returns Vehicle

## Methods

### remove

- remove(): void

- - Defined in models/VehicleMod.ts:45

  #### Returns void

Generated using TypeDoc